Application: gvSIG desktop - gvSIG bugs #5587
Preparar un mecanismo de traslacion de los SRIDs de ORACLE a los de EPSG
03/17/2021 05:46 PM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.6.0-3218

Severity: Critical Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3216 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown

Description

Cuando gvSIG crea tablas en una BBDD de ORACLE asigna como SRID codigos de EPSG, sin embargo, es muy
comunencontrarnos con tablas ya existentes que en lugar de los codigos de EPSG usen codigos propios de ORACLE, con lo que al
cargarlas gvSIG no reconoce la proyeccion y luego falla al hacer consultas espaciales sobre esa tabla.

Habria que preparar un mecanismo que permita trasladar los codigos de ORACLE a los de EPSG en el momento de leerlos de la
tabla USER_SDO_GEOM_METADATA.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5548: Error al afadir ca... Closed 03/01/2021

Associated revisions

Revision 45614 - 03/24/2021 01:05 PM - Francisco Diaz Carsi

refs #5587 Needed modifications to be able to change the ORACLE SRIDs for those of EPSG and vice versa.

Revision 294 - 03/24/2021 01:07 PM - Francisco Diaz Carsi

refs #5587 Needed modifications to be able to change the ORACLE SRIDs for those of EPSG and vice versa.

History

#1 - 03/17/2021 05:46 PM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #5548: Error al afadir capas a partir de tablas de Oracle. added

#2 - 03/17/2021 05:49 PM - Joaquin del Cerro Murciano
- Description updated

#3 - 03/24/2021 01:08 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

#4 - 05/19/2021 11:38 AM - Alvaro Anguix

- Status changed from Fixed to Closed
